/*
 * Copyright (c) 2003-onwards Shaven Puppy Ltd
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * * Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 *
 * * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 *
 * * Neither the name of 'Shaven Puppy' nor the names of its contributors
 *   may be used to endorse or promote products derived from this software
 *   without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package worm;

/**
 * The list of medals
 */
public interface Medals {

	String GOLD					  = "medal.gold";
	String SILVER					  = "medal.silver";
	String BRONZE					  = "medal.bronze";

	String EARTH_BOSS				  = "medal.earth_boss";
	String MOON_BOSS				  = "medal.moon_boss";
	String MARS_BOSS				  = "medal.mars_boss";
	String SATURN_BOSS				  = "medal.saturn_boss";
	String TITAN_BOSS				  = "medal.titan_boss";
	String EARTH_COMPLETE			  = "medal.earth_complete";
	String MOON_COMPLETE			  = "medal.moon_complete";
	String MARS_COMPLETE			  = "medal.mars_complete";
	String SATURN_COMPLETE			  = "medal.saturn_complete";
	String TITAN_COMPLETE			  = "medal.titan_complete";

	String PERFECT_GAME			  = "medal.perfect_game";
	String PERFECT_WORLD			  = "medal.perfect_world";

	String PRISTINE				  = "medal.pristine";
	String CAREFUL					  = "medal.careful";

	String CARELESS				  = "medal.careless";
	String RASH					  = "medal.rash";
	String RECKLESS				  = "medal.reckless";
	String NEGLIGENT				  = "medal.negligent";

	String CRUSHED_25				  = "medal.crushed_25";
	String CRUSHED_50				  = "medal.crushed_50";
	String CRUSHED_100				  = "medal.crushed_100";

	String VANQUISHED_100			  = "medal.vanquished_100";
	String VANQUISHED_250			  = "medal.vanquished_250";
	String VANQUISHED_500			  = "medal.vanquished_500";
	String VANQUISHED_1000			  = "medal.vanquished_1000";
	String VANQUISHED_2500			  = "medal.vanquished_2500";
	String VANQUISHED_5000			  = "medal.vanquished_5000";
	String VANQUISHED_10000		  = "medal.vanquished_10000";

	String FRIED_100				  = "medal.fried_100";
	String FRIED_250				  = "medal.fried_250";
	String FRIED_500				  = "medal.fried_500";

	String NUKED_50				  = "medal.nuked_50";
	String NUKED_100				  = "medal.nuked_100";
	String NUKED_250				  = "medal.nuked_250";

	String EXPLODED_100			  = "medal.exploded_100";
	String EXPLODED_250			  = "medal.exploded_250";
	String EXPLODED_500			  = "medal.exploded_500";

	String OFFENSIVE_CAPABILITY	  = "medal.offensive_capability";
	String DEFENSIVE_CAPABILITY	  = "medal.defensive_capability";
	String SPEAR_AND_MAGIC_HELMET	  = "medal.spear_and_magic_helmet";
	String DANGEROUS_NUTTER		  = "medal.dangerous_nutter";
	String ROBOT_WANTS_KITTY		  = "medal.robot_wants_kitty";
	String PROPELLERHEAD			  = "medal.propellerhead";
	String PROBLEM_FOR_GRANDCHILDREN = "medal.problem_for_grandchildren";
	String DEVIOUS					  = "medal.devious";
	String ENCYCLOPAEDIC			  = "medal.encyclopaedic";

	String TAPE_AND_STRING			  = "medal.tape_and_string";
	String SKIN_OF_YOUR_TEETH		  = "medal.skin_of_your_teeth";
	String PHEW_THAT_WAS_CLOSE		  = "medal.phew_that_was_close";
	String AWESOME					  = "medal.awesome";
	String REGISTERED				  = "medal.registered";

	String SHORT_TEMPERED			  = "medal.short_tempered";
	String THE_ONLY_WAY_TO_BE_SURE   = "medal.only_way_to_be_sure";
	String TOILET_BREAK		      = "medal.toilet_break";
	String JIMLL_FIX_IT		      = "medal.jimll_fix_it";
	String BATFINK    			      = "medal.batfink";

	String HOARDED_$5000			  = "medal.hoarded_$5000";
	String HOARDED_$10000			  = "medal.hoarded_$10000";
	String HOARDED_$25000			  = "medal.hoarded_$25000";
	String HOARDED_$50000			  = "medal.hoarded_$50000";

	String EFFICIENT				  = "medal.efficient";
	String TIGHT_FISTED			  = "medal.tight_fisted";
	String THRIFTY					  = "medal.thrifty";
	String SHORT_ARMS_DEEP_POCKETS	  = "medal.short_arms_deep_pockets";

	/*
	 * Xmas!
	 */

	String XMAS_1			= "medal.xmas.1";
	String XMAS_2			= "medal.xmas.2";
	String XMAS_3			= "medal.xmas.3";
	String XMAS_4			= "medal.xmas.4";
	String XMAS_VICTORY		= "medal.xmas.victory";
}
